WordPressアップデート失敗

WordPressで新しいバージョンが出た旨の通知が管理画面に出たので、更新ボタンをポチッと押しました。

ところが、何故か失敗・・・

次のようなメッセージが出てストップしてしまいます。

Parse error: syntax error, unexpected $end in /home/・・・/wp-admin/includes/update-core.php on line 927

その前日あたりにも、別のサイトで同じような現象が出ていました。

エラーメッセージでググってみたり、メッセージに出ているファイルを見てみたりしたのですが、原因がわからず「また別の日に試すようにしよう」と一旦放置していたのですが、また別のサイトで発生。

他サーバーで運営しているサイトは問題なくアップデートできているので、サーバーの問題だろうか、と(サーバーの)管理画面にログイン。

すると・・・規定の容量をオーバーしているようでした。
そのサーバーは、ある有料サービスの特典としてついているもので、そういうこともあってか、利用できる容量が200MBと少なく設定されています。

そこにいくつかワードプレスを入れたり、ステップメールシステムを入れたりしていたのでオーバーしてしまったようなのです。

それがWordpressアップデート失敗の原因なのかはっきりとしなかったのですが、とりあえず一つのサイトを別サーバーに移行。

移行が完了してから、移行元サーバーからそのサイトのデータを削除して容量を規定内にしました。

すると・・・アップデート成功!

こういうこともあるんですね。

「Wordpressアップデートに失敗するけど、原因がわからない!」という場合、サーバー側の問題がないか一度チェックしてみるといいかもしれません。

コメントは受け付けていません。

サブコンテンツ

このページの先頭へ